### Method

# Adw TabViewset_default_icon

#### Declaration [src]

    void
    adw_tab_view_set_default_icon (
      AdwTabView* self,
      GIcon* default_icon
    )

#### Description [src]

Sets the default page icon for `self`.

If a page doesn’t provide its own icon via `AdwTabPage:icon`, a default icon may be used instead for contexts where having an icon is necessary.

`AdwTabBar` will use default icon for pinned tabs in case the page is not loading, doesn’t have an icon and an indicator. Default icon is never used for tabs that aren’t pinned.

`AdwTabOverview` will use default icon for pages with missing thumbnails.

By default, the `adw-tab-icon-missing-symbolic` icon is used.

Sets property | `Adw.TabView:default-icon`

#### Parameters

`default_icon`

  Type: `GIcon`

  The default icon.

  The data is owned by the caller of the method.